summarylogtreecommitdiffstats
path: root/test.sh
diff options
context:
space:
mode:
authorLucas Werkmeister2023-06-14 22:30:48 +0200
committerLucas Werkmeister2023-06-14 22:32:07 +0200
commitca910980d38b3486a0c2a5c10c9971d3f03cbb3c (patch)
treecf4ed0b556b4e800b4622ea0cd0f80394dc16234 /test.sh
parent19ccbcd4c062268fd13216656c711bbd800026e4 (diff)
downloadaur-ca910980d38b3486a0c2a5c10c9971d3f03cbb3c.tar.gz
Update to 23.0.0
With several new variables for all the different kinds of version numbers we need now (at least some of them can be derived from each other.) Replaces native-image because that’s now shipped with GraalVM itself again. In test.sh, add `nice -n19` before emcc, because it likes to take a very long time to recompile all of libc or something.
Diffstat (limited to 'test.sh')
-rwxr-xr-xtest.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/test.sh b/test.sh
index 08bddea83689..053484fda0e7 100755
--- a/test.sh
+++ b/test.sh
@@ -69,7 +69,7 @@ int main() {
return 0;
}
EOF
-emcc -o hello.wasm hello.c 2>/dev/null || exit
+nice -n19 emcc -o hello.wasm hello.c 2>/dev/null || exit
helloWorld=$(wasm --Builtins=wasi_snapshot_preview1 hello.wasm) || exit
if [[ $helloWorld != 'Hello, WASM!' ]]; then